/*
 * Class TO_SPECIAL [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_296 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_296 [] = {0xFF01,237,295,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_296 [] = {0xFF01,295,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_296 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_296 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_296 [] = {0xFF01,295,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_296 [] = {0xFF01,295,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_296 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_296 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_296 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_296 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_296 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_296 [] = {295,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_296 [] = {0xFF01,295,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_296 [] = {0xFF01,279,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_296 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_296 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_296 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_296[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_296), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_296), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_296), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_296), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_296), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_296), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_296), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_296), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_296), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_296), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_296), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_296), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_296), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_296), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_296), 4922, 0},
	{EIF_GENERIC(NULL), 4923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4924, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_296), 4925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_296), 4926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4929, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_296), -1, 0xFFFFFFFF},
};
void Init296(void)
{
	IDSC(desc_296, 0, 295);
	IDSC(desc_296 + 1, 1, 295);
	IDSC(desc_296 + 32, 81, 295);
}


#ifdef __cplusplus
}
#endif
